Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Interface BtreePrefixCalculator

public interface BtreePrefixCalculator

An interface specifying how Btree prefixes should be calculated.

Method Summary
`int` | `prefix(Database db, DatabaseEntry dbt1, DatabaseEntry dbt2)` The application-specific Btree prefix callback.

Method Detail

### prefix

    public int prefix(Database db,
                      DatabaseEntry dbt1,
                      DatabaseEntry dbt2)

  The application-specific Btree prefix callback.

  Parameters:
    `db` - The enclosing database handle.
    `dbt1` - A database entry representing a database key.
    `dbt2` - A database entry representing a database key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.4.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.